# Setup Accura MICR

### Setting up License

```
  accura.getMetadata(function (result) {
    if(result.isValid){
      console.log(result)
    }
  }, function (error) {
    alert(error);
  })
```

**Error:** String

**Success:** JSON String Response = { **isMICR:** boolean }

***

### Setting up Configuration,Error messages and Scaning title messages

```
  setUpConfig: () => {
      //setConfig
      var config = {
         setMinGlarePercentage: 6,    // Set min percentage for glare
         setMaxGlarePercentage: 99,   // Set max percentage for glare
         setBlurPercentage: 60,       //0 for clean document and 100 for Blurry document
        };

      var accuraConfigs = {
        isShowLogo: 1,     //To hide Logo pass 0
        CameraScreen_CornerBorder_Enable: true, //To enable corner border frame pass true
        CameraScreen_Border_Width: 15,
        Disable_Card_Name: false, //To disable taking card name automatically pass true
        CameraScreen_Frame_Color: '#D5323F',  //Pass a Hex Code to change frame color
        CameraScreen_Text_Color: '#FFFFFF',    //Pass a Hex Code to change text color
        CameraScreen_Text_Border_Color: '#000000', //Pass a Hex Code to change text border color
        CameraScreen_Color: '#80000000',  //Pass a Hex Code to change Camera Screen Background color
        CameraScreen_Back_Button: 1,   //Pass 0 to hide back button in iOS
        CameraScreen_Change_Button: 1,   //Pass 0 to hide flip camera button
        ACCURA_ERROR_CODE_MOTION: 'Keep Document Steady',
        ACCURA_ERROR_CODE_DOCUMENT_IN_FRAME: 'Keep document in frame',
        ACCURA_ERROR_CODE_PROCESSING: 'Processing...',
        ACCURA_ERROR_CODE_BLUR_DOCUMENT: 'Blur detect in document',
        ACCURA_ERROR_CODE_GLARE_DOCUMENT: 'Glare detect in document',
        ACCURA_ERROR_CODE_DARK_DOCUMENT: 'Low lighting detected',
        ACCURA_ERROR_CODE_MOVE_CLOSER: "Move closer to document",
        ACCURA_ERROR_CODE_MOVE_AWAY:"Move away from document",
        ACCURA_ERROR_CODE_KEEP_MICR_IN_FRAME: "Keep MICR in frame",
      };
    
      var accuraTitleMsg = {
        SCAN_TITLE_MICR: 'Scan Cheque',
      };

      accura.setupAccuraConfig(config,accuraConfigs,accuraTitleMsg,
      function success(result){
          console.log(result);
      })
  }
```

***

### Method for scan MICR documents.

```
  startMICR:()=>{
    //MICR
    accura.startMICR(micrType/*e13b or cmc7*/,function success(result){
      console.log(result);
    },function(error){
    alert(error);
    });
  }

```

**Success:** JSON Response {front\_data: JSONObjects?,front\_img: URI?}

**Error**: String

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/solutions/micr-cheque-scanner/cordova/setup-accura-micr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
